REST Resource: httpHealthChecks | Compute Engine | Google Cloud Documentation (original) (raw)
Resource: HttpHealthCheck
Represents a legacy HTTP Health Check resource.
Legacy HTTP health checks are now only required by target pool-based network load balancers. For all other load balancers, including backend service-based network load balancers, and for managed instance group auto-healing, you must use modern (non-legacy) health checks.
For more information, see Health checks overview.
| JSON representation |
|---|
| { "kind": string, "id": string, "creationTimestamp": string, "name": string, "description": string, "host": string, "requestPath": string, "port": integer, "checkIntervalSec": integer, "timeoutSec": integer, "unhealthyThreshold": integer, "healthyThreshold": integer, "selfLink": string } |
| Fields | |
|---|---|
| kind | string Output only. Type of the resource. Always compute#httpHealthCheck for HTTP health checks. |
| id | string (uint64 format) Output only. The unique identifier for the resource. This identifier is defined by the server. |
| creationTimestamp | string Output only. Creation timestamp in RFC3339 text format. |
| name | string Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression [a-z]([-a-z0-9]*[a-z0-9])? which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash. |
| description | string An optional description of this resource. Provide this property when you create the resource. |
| host | string The value of the host header in the HTTP health check request. If left empty (default value), the public IP on behalf of which this health check is performed will be used. |
| requestPath | string The request path of the HTTP health check request. The default value is /. This field does not support query parameters. Must comply with RFC3986. |
| port | integer The TCP port number for the HTTP health check request. The default value is 80. |
| checkIntervalSec | integer How often (in seconds) to send a health check. The default value is 5 seconds. |
| timeoutSec | integer How long (in seconds) to wait before claiming failure. The default value is 5 seconds. It is invalid for timeoutSec to have greater value than checkIntervalSec. |
| unhealthyThreshold | integer A so-far healthy instance will be marked unhealthy after this many consecutive failures. The default value is 2. |
| healthyThreshold | integer A so-far unhealthy instance will be marked healthy after this many consecutive successes. The default value is 2. |
| selfLink | string Output only. Server-defined URL for the resource. |
| Methods | |
|---|---|
| delete | Deletes the specified HttpHealthCheck resource. |
| get | Returns the specified HttpHealthCheck resource. |
| insert | Creates a HttpHealthCheck resource in the specified project using the data included in the request. |
| list | Retrieves the list of HttpHealthCheck resources available to the specified project. |
| patch | Updates a HttpHealthCheck resource in the specified project using the data included in the request. |
| testIamPermissions | Returns permissions that a caller has on the specified resource. |
| update | Updates a HttpHealthCheck resource in the specified project using the data included in the request. |